Bug 481550 - (CVE-2008-5986) CVE-2008-5986 csound: untrusted python modules search path
CVE-2008-5986 csound: untrusted python modules search path
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://bugs.debian.org/cgi-bin/bugrep...
reported=20081103,public=20081102,sou...
: Security
Depends On: CVE-2008-5983
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-26 04:47 EST by Jan Lieskovsky
Modified: 2015-08-22 11:55 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-22 11:55:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2009-01-26 04:47:49 EST
Untrusted search path vulnerability in Csound's "VST plugin with Python
scripting" and in "VST plugin for writing score generators in Python"
alows local users to execute arbitrary code via a Trojan horse Python file in the current working directory, related to an erroneous setting of sys.path by the
PySys_SetArgv function.

References:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=504359

Test case and more discussion about this issue available at:
http://www.nabble.com/Bug-484305%3A-bicyclerepair%3A-bike.vim-imports-untrusted-python-files-from-cwd-td18848099.html

Proposed patch:
http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=5;filename=1004-sanitize-sys.path.diff;att=1;bug=504359
Comment 1 Jan Lieskovsky 2009-01-26 04:48:29 EST
This issue affects all versions of the Csound package, as shipped with
Fedora releases of 9, 10 and devel.

Please fix.
Comment 2 Jan Lieskovsky 2009-01-28 06:17:28 EST
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-5986 to
this vulnerability:

Untrusted search path vulnerability in the (1) "VST plugin with Python
scripting" and (2) "VST plugin for writing score generators in Python"
in Csound 5.08.2, and possibly other versions, allows local users to
execute arbitrary code via a Trojan horse Python file in the current
working directory, related to a vulnerability in the PySys_SetArgv
function (CVE-2008-5983).

References:
http://www.openwall.com/lists/oss-security/2009/01/26/2
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=504359
Comment 3 Jan Lieskovsky 2009-01-29 06:25:37 EST
More explanation why this issue wasn't fixed in Python yet, can be
found here:

https://bugzilla.redhat.com/show_bug.cgi?id=482814#c1

here:

https://bugzilla.redhat.com/show_bug.cgi?id=482814#c4

and here:

https://bugzilla.redhat.com/show_bug.cgi?id=482814#c5

Looks like the Python fix won't come anytime soon, so please
fix the issue in the package, till we find the proper Python solution.
Comment 4 Jan Lieskovsky 2009-01-29 06:27:34 EST
Ray Strode's test case to check the work of the fix can be found here:

https://bugzilla.redhat.com/show_bug.cgi?id=481556#c8

Note You need to log in before you can comment on or make changes to this bug.